//
//  AboutViewController.swift
//  MusicPlayer
//
//  Created by Mr.Zhou on 2024/4/10.
//

import UIKit

class AboutViewController: BaseViewController {
    @IBOutlet weak var versionView: UIView!{
        didSet{
            let tap = UITapGestureRecognizer(target: self, action: #selector(versionClick))
            versionView.addGestureRecognizer(tap)
            versionView.isUserInteractionEnabled = true
        }
    }
    override func viewDidLoad() {
        super.viewDidLoad()
        
    }
    @objc private func versionClick(){
        let eventAlert = UIAlertController(title: "Version Update", message: "is the latest Version", preferredStyle: .alert)
        let canelAction = UIAlertAction(title: "Cancel", style: .cancel,handler: nil)
        eventAlert.addAction(canelAction)
        self.present(eventAlert, animated: true, completion: nil)
    }
    @IBAction func popClick(_ sender: UIButton) {
        navigationController?.popViewController(animated: true)
    }
    
}
